Bug 834096 - [abrt] 389-ds-base-1.2.10.6-1.fc16: slapi_attr_value_cmp: Process /usr/sbin/ns-slapd was killed by signal 11 (SIGSEGV)
Summary: [abrt] 389-ds-base-1.2.10.6-1.fc16: slapi_attr_value_cmp: Process /usr/sbin/n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On: 832560
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-20 19:39 UTC by RHEL Program Management
Modified: 2012-07-11 11:20 UTC (History)
8 users (show)

Fixed In Version: 389-ds-base-1.2.10.2-19.el6_3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 11:20:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1067 normal SHIPPED_LIVE 389-ds-base bug fix update 2012-07-11 15:18:47 UTC

Description RHEL Program Management 2012-06-20 19:39:30 UTC
This bug has been copied from bug #832560 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 8 Amita Sharma 2012-06-25 11:24:58 UTC
I think server has crashed ::
[root@dhcp201-134 brewb]# rpm -qa | grep 389
389-ds-base-1.2.10.2-19.el6_3.x86_64
389-ds-base-debuginfo-1.2.10.2-19.el6_3.x86_64
389-ds-base-libs-1.2.10.2-19.el6_3.x86_64

[root@dhcp201-134 /]# ldapmodify -h localhost -p 389 -D "cn=directory manager" -w password << EOF
dn: cn=config,cn=ldbm database,cn=plugins,cn=config
changetype: modify
replace: nsslapd-serial-lock
nsslapd-serial-lock: off
EOF

modifying entry "cn=config,cn=ldbm database,cn=plugins,cn=config"


[root@dhcp201-134 /]# service dirsrv restart
Shutting down dirsrv: 
    dhcp201-134...                                         [  OK  ]
Starting dirsrv: 
    dhcp201-134...                                         [  OK  ]

[root@dhcp201-134 export]# ldapmodify -h localhost -p 389 -D "cn=directory manager" -w password -af example10-people.ldif
adding new entry "uid=Nuser0, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser1, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser2, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser3, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser4, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser5, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser6, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser7, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser8, ou=people,dc=example,dc=com"

adding new entry "uid=Nuser9, ou=people,dc=example,dc=com"

-->>> Executed sh add_del.sh
sh modrdn.sh
sh searches.sh
sh updates.sh

on 4 different windows and after some time it says :

ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_sasl_bind(SIMPLE): Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_sasl_bind(SIMPLE): Can't contact LDAP server (-1)
ldap_sasl_bind(SIMPLE): Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_result: Can't contact LDAP server (-1)
ldap_sasl_bind(SIMPLE): Can't contact LDAP server (-1)
ldap_sasl_bind(SIMPLE): Can't contact LDAP server (-1)

Errors ::
[root@dhcp201-134 ~]# tail -f /var/log/dirsrv/slapd-dhcp201-134/errors
[25/Jun/2012:16:34:25 +051800] - 389-Directory/1.2.10.2 B2012.172.219 starting up
[25/Jun/2012:16:34:25 +051800] - slapd started.  Listening on All Interfaces port 389 for LDAP requests
[25/Jun/2012:16:35:03 +051800] - slapd shutting down - signaling operation threads
[25/Jun/2012:16:35:03 +051800] - slapd shutting down - waiting for 30 threads to terminate
[25/Jun/2012:16:35:03 +051800] - slapd shutting down - closing down internal subsystems and plugins
[25/Jun/2012:16:35:03 +051800] - Waiting for 4 database threads to stop
[25/Jun/2012:16:35:04 +051800] - All database threads now stopped
[25/Jun/2012:16:35:04 +051800] - slapd stopped.
[25/Jun/2012:16:35:06 +051800] - 389-Directory/1.2.10.2 B2012.172.219 starting up
[25/Jun/2012:16:35:06 +051800] - slapd started.  Listening on All Interfaces port 389 for LDAP requests
[25/Jun/2012:16:42:23 +051800] - libdb: previous transaction deadlock return not resolved
[25/Jun/2012:16:42:23 +051800] - Serious Error---Failed in dblayer_txn_commit, err=22 (Invalid argument)
[25/Jun/2012:16:42:25 +051800] - Not listening for new connections - too many fds open
[25/Jun/2012:16:42:25 +051800] - Listening for new connections again
[25/Jun/2012:16:42:26 +051800] - Not listening for new connections - too many fds open

Comment 10 Amita Sharma 2012-06-29 11:12:57 UTC
Marking the bug as VERIFIED with new build as the crash does not occur at slapi_attr_value_cmp.

[root@dhcp201-134 brewb]# rpm -qa | grep 389
389-ds-base-debuginfo-1.2.10.2-20.el6_3.x86_64
389-ds-base-devel-1.2.10.2-20.el6_3.x86_64
389-ds-base-libs-1.2.10.2-20.el6_3.x86_64
389-ds-base-1.2.10.2-20.el6_3.x86_64

ulimit -n 4096

ldapmodify -h localhost -p 389 -D "cn=directory manager" -w password << EOF
dn: cn=config,cn=ldbm database,cn=plugins,cn=config
changetype: modify
replace: nsslapd-serial-lock
nsslapd-serial-lock: off
EOF

modifying entry "cn=config,cn=ldbm database,cn=plugins,cn=config"

[root@dhcp201-134 brewb]# service dirsrv restart
Shutting down dirsrv: 
    dhcp201-134...                                         [  OK  ]
Starting dirsrv: 
    dhcp201-134...                                         [  OK  ]

-->>> Executed sh add_del.sh
sh modrdn.sh
sh searches.sh
sh updates.sh

[29/Jun/2012:16:32:29 +051800] - libdb: previous transaction deadlock return not resolved
[29/Jun/2012:16:32:29 +051800] - Serious Error---Failed in dblayer_txn_commit, err=22 (Invalid argument)
[29/Jun/2012:16:32:29 +051800] - Listening for new connections again
[29/Jun/2012:16:32:30 +051800] - Not listening for new connections - too many fds open
[29/Jun/2012:16:32:32 +051800] - Listening for new connections again
[29/Jun/2012:16:32:32 +051800] - libdb: previous transaction deadlock return not resolved
[29/Jun/2012:16:32:32 +051800] - Serious Error---Failed in dblayer_txn_commit, err=22 (Invalid argument)
[29/Jun/2012:16:32:32 +051800] - Not listening for new connections - too many fds open
[29/Jun/2012:16:32:33 +051800] - Listening for new connections again
[29/Jun/2012:16:32:34 +051800] - Not listening for new connections - too many fds open
[29/Jun/2012:16:32:34 +051800] - Listening for new connections again
[29/Jun/2012:16:32:35 +051800] - Not listening for new connections - too many fds open
[29/Jun/2012:16:32:39 +051800] - Listening for new connections again
[29/Jun/2012:16:32:40 +051800] - Not listening for new connections - too many fds open
[29/Jun/2012:16:32:42 +051800] - Listening for new connections again
[29/Jun/2012:16:32:43 +051800] - Not listening for new connections - too many fds open
[29/Jun/2012:16:32:45 +051800] - Listening for new connections again
[29/Jun/2012:16:32:48 +051800] - Not listening for new connections - too many fds open
[29/Jun/2012:16:32:53 +051800] - libdb: previous transaction deadlock return not resolved
[29/Jun/2012:16:32:54 +051800] - idl_new.c BAD 60, err=22 Invalid argument
[29/Jun/2012:16:32:55 +051800] - database index operation failed BAD 1120, err=22 Invalid argument
[29/Jun/2012:16:32:55 +051800] - database index operation failed BAD 1220, err=22 Invalid argument
[29/Jun/2012:16:32:56 +051800] - database index operation failed BAD 1040, err=22 Invalid argument
[29/Jun/2012:16:32:56 +051800] - index_add_mods failed, err=22 Invalid argument

Comment 12 errata-xmlrpc 2012-07-11 11:20:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1067.html


Note You need to log in before you can comment on or make changes to this bug.